# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    Addon,
    AddonArcProperties,
    AddonHcxProperties,
    AddonList,
    AddonProperties,
    AddonSrmProperties,
    AddonVrProperties,
    AdminCredentials,
    AvailabilityProperties,
    Circuit,
    CloudLink,
    CloudLinkList,
    Cluster,
    ClusterList,
    ClusterUpdate,
    ClusterZone,
    ClusterZoneList,
    Datastore,
    DatastoreList,
    DiskPoolVolume,
    ElasticSanVolume,
    Encryption,
    EncryptionKeyVaultProperties,
    Endpoints,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    ExpressRouteAuthorization,
    ExpressRouteAuthorizationList,
    GeneralHostProperties,
    GlobalReachConnection,
    GlobalReachConnectionList,
    HcxEnterpriseSite,
    HcxEnterpriseSiteList,
    Host,
    HostListResult,
    HostProperties,
    IdentitySource,
    IscsiPath,
    IscsiPathListResult,
    ManagementCluster,
    NetAppVolume,
    Operation,
    OperationDisplay,
    OperationListResult,
    PSCredentialExecutionParameter,
    PagedResourceSku,
    PlacementPoliciesList,
    PlacementPolicy,
    PlacementPolicyProperties,
    PlacementPolicyUpdate,
    PrivateCloud,
    PrivateCloudIdentity,
    PrivateCloudList,
    PrivateCloudUpdate,
    ProvisionedNetwork,
    ProvisionedNetworkListResult,
    ProxyResource,
    PureStoragePolicy,
    PureStoragePolicyListResult,
    PureStorageVolume,
    Quota,
    Resource,
    ResourceSku,
    ResourceSkuCapabilities,
    ResourceSkuLocationInfo,
    ResourceSkuRestrictionInfo,
    ResourceSkuRestrictions,
    ResourceSkuZoneDetails,
    ScriptCmdlet,
    ScriptCmdletsList,
    ScriptExecution,
    ScriptExecutionParameter,
    ScriptExecutionsList,
    ScriptPackage,
    ScriptPackagesList,
    ScriptParameter,
    ScriptSecureStringExecutionParameter,
    ScriptStringExecutionParameter,
    Sku,
    SpecializedHostProperties,
    SystemData,
    TrackedResource,
    Trial,
    VirtualMachine,
    VirtualMachineRestrictMovement,
    VirtualMachinesList,
    VmHostPlacementPolicyProperties,
    VmPlacementPolicyProperties,
    WorkloadNetwork,
    WorkloadNetworkDhcp,
    WorkloadNetworkDhcpEntity,
    WorkloadNetworkDhcpList,
    WorkloadNetworkDhcpRelay,
    WorkloadNetworkDhcpServer,
    WorkloadNetworkDnsService,
    WorkloadNetworkDnsServicesList,
    WorkloadNetworkDnsZone,
    WorkloadNetworkDnsZonesList,
    WorkloadNetworkGateway,
    WorkloadNetworkGatewayList,
    WorkloadNetworkList,
    WorkloadNetworkPortMirroring,
    WorkloadNetworkPortMirroringList,
    WorkloadNetworkPublicIP,
    WorkloadNetworkPublicIPsList,
    WorkloadNetworkSegment,
    WorkloadNetworkSegmentPortVif,
    WorkloadNetworkSegmentSubnet,
    WorkloadNetworkSegmentsList,
    WorkloadNetworkVMGroup,
    WorkloadNetworkVMGroupsList,
    WorkloadNetworkVirtualMachine,
    WorkloadNetworkVirtualMachinesList,
)

from ._avs_client_enums import (  # type: ignore
    ActionType,
    AddonProvisioningState,
    AddonType,
    AffinityStrength,
    AffinityType,
    AvailabilityStrategy,
    AzureHybridBenefitType,
    CloudLinkProvisioningState,
    CloudLinkStatus,
    ClusterProvisioningState,
    CreatedByType,
    DatastoreProvisioningState,
    DatastoreStatus,
    DhcpTypeEnum,
    DnsServiceLogLevelEnum,
    DnsServiceStatusEnum,
    DnsZoneType,
    EncryptionKeyStatus,
    EncryptionState,
    EncryptionVersionType,
    ExpressRouteAuthorizationProvisioningState,
    GlobalReachConnectionProvisioningState,
    GlobalReachConnectionStatus,
    HcxEnterpriseSiteProvisioningState,
    HcxEnterpriseSiteStatus,
    HostKind,
    HostMaintenance,
    HostProvisioningState,
    InternetEnum,
    IscsiPathProvisioningState,
    MountOptionEnum,
    NsxPublicIpQuotaRaisedEnum,
    OptionalParamEnum,
    Origin,
    PlacementPolicyProvisioningState,
    PlacementPolicyState,
    PlacementPolicyType,
    PortMirroringDirectionEnum,
    PortMirroringStatusEnum,
    PrivateCloudProvisioningState,
    ProvisionedNetworkProvisioningState,
    ProvisionedNetworkTypes,
    PureStoragePolicyProvisioningState,
    QuotaEnabled,
    ResourceIdentityType,
    ResourceSkuResourceType,
    ResourceSkuRestrictionsReasonCode,
    ResourceSkuRestrictionsType,
    ScriptCmdletAudience,
    ScriptCmdletProvisioningState,
    ScriptExecutionParameterType,
    ScriptExecutionProvisioningState,
    ScriptOutputStreamType,
    ScriptPackageProvisioningState,
    ScriptParameterTypes,
    SegmentStatusEnum,
    SkuTier,
    SslEnum,
    TrialStatus,
    VMGroupStatusEnum,
    VMTypeEnum,
    VirtualMachineProvisioningState,
    VirtualMachineRestrictMovementState,
    VisibilityParameterEnum,
    WorkloadNetworkDhcpProvisioningState,
    WorkloadNetworkDnsServiceProvisioningState,
    WorkloadNetworkDnsZoneProvisioningState,
    WorkloadNetworkPortMirroringProvisioningState,
    WorkloadNetworkProvisioningState,
    WorkloadNetworkPublicIPProvisioningState,
    WorkloadNetworkSegmentProvisioningState,
    WorkloadNetworkVMGroupProvisioningState,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "Addon",
    "AddonArcProperties",
    "AddonHcxProperties",
    "AddonList",
    "AddonProperties",
    "AddonSrmProperties",
    "AddonVrProperties",
    "AdminCredentials",
    "AvailabilityProperties",
    "Circuit",
    "CloudLink",
    "CloudLinkList",
    "Cluster",
    "ClusterList",
    "ClusterUpdate",
    "ClusterZone",
    "ClusterZoneList",
    "Datastore",
    "DatastoreList",
    "DiskPoolVolume",
    "ElasticSanVolume",
    "Encryption",
    "EncryptionKeyVaultProperties",
    "Endpoints",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "ExpressRouteAuthorization",
    "ExpressRouteAuthorizationList",
    "GeneralHostProperties",
    "GlobalReachConnection",
    "GlobalReachConnectionList",
    "HcxEnterpriseSite",
    "HcxEnterpriseSiteList",
    "Host",
    "HostListResult",
    "HostProperties",
    "IdentitySource",
    "IscsiPath",
    "IscsiPathListResult",
    "ManagementCluster",
    "NetAppVolume",
    "Operation",
    "OperationDisplay",
    "OperationListResult",
    "PSCredentialExecutionParameter",
    "PagedResourceSku",
    "PlacementPoliciesList",
    "PlacementPolicy",
    "PlacementPolicyProperties",
    "PlacementPolicyUpdate",
    "PrivateCloud",
    "PrivateCloudIdentity",
    "PrivateCloudList",
    "PrivateCloudUpdate",
    "ProvisionedNetwork",
    "ProvisionedNetworkListResult",
    "ProxyResource",
    "PureStoragePolicy",
    "PureStoragePolicyListResult",
    "PureStorageVolume",
    "Quota",
    "Resource",
    "ResourceSku",
    "ResourceSkuCapabilities",
    "ResourceSkuLocationInfo",
    "ResourceSkuRestrictionInfo",
    "ResourceSkuRestrictions",
    "ResourceSkuZoneDetails",
    "ScriptCmdlet",
    "ScriptCmdletsList",
    "ScriptExecution",
    "ScriptExecutionParameter",
    "ScriptExecutionsList",
    "ScriptPackage",
    "ScriptPackagesList",
    "ScriptParameter",
    "ScriptSecureStringExecutionParameter",
    "ScriptStringExecutionParameter",
    "Sku",
    "SpecializedHostProperties",
    "SystemData",
    "TrackedResource",
    "Trial",
    "VirtualMachine",
    "VirtualMachineRestrictMovement",
    "VirtualMachinesList",
    "VmHostPlacementPolicyProperties",
    "VmPlacementPolicyProperties",
    "WorkloadNetwork",
    "WorkloadNetworkDhcp",
    "WorkloadNetworkDhcpEntity",
    "WorkloadNetworkDhcpList",
    "WorkloadNetworkDhcpRelay",
    "WorkloadNetworkDhcpServer",
    "WorkloadNetworkDnsService",
    "WorkloadNetworkDnsServicesList",
    "WorkloadNetworkDnsZone",
    "WorkloadNetworkDnsZonesList",
    "WorkloadNetworkGateway",
    "WorkloadNetworkGatewayList",
    "WorkloadNetworkList",
    "WorkloadNetworkPortMirroring",
    "WorkloadNetworkPortMirroringList",
    "WorkloadNetworkPublicIP",
    "WorkloadNetworkPublicIPsList",
    "WorkloadNetworkSegment",
    "WorkloadNetworkSegmentPortVif",
    "WorkloadNetworkSegmentSubnet",
    "WorkloadNetworkSegmentsList",
    "WorkloadNetworkVMGroup",
    "WorkloadNetworkVMGroupsList",
    "WorkloadNetworkVirtualMachine",
    "WorkloadNetworkVirtualMachinesList",
    "ActionType",
    "AddonProvisioningState",
    "AddonType",
    "AffinityStrength",
    "AffinityType",
    "AvailabilityStrategy",
    "AzureHybridBenefitType",
    "CloudLinkProvisioningState",
    "CloudLinkStatus",
    "ClusterProvisioningState",
    "CreatedByType",
    "DatastoreProvisioningState",
    "DatastoreStatus",
    "DhcpTypeEnum",
    "DnsServiceLogLevelEnum",
    "DnsServiceStatusEnum",
    "DnsZoneType",
    "EncryptionKeyStatus",
    "EncryptionState",
    "EncryptionVersionType",
    "ExpressRouteAuthorizationProvisioningState",
    "GlobalReachConnectionProvisioningState",
    "GlobalReachConnectionStatus",
    "HcxEnterpriseSiteProvisioningState",
    "HcxEnterpriseSiteStatus",
    "HostKind",
    "HostMaintenance",
    "HostProvisioningState",
    "InternetEnum",
    "IscsiPathProvisioningState",
    "MountOptionEnum",
    "NsxPublicIpQuotaRaisedEnum",
    "OptionalParamEnum",
    "Origin",
    "PlacementPolicyProvisioningState",
    "PlacementPolicyState",
    "PlacementPolicyType",
    "PortMirroringDirectionEnum",
    "PortMirroringStatusEnum",
    "PrivateCloudProvisioningState",
    "ProvisionedNetworkProvisioningState",
    "ProvisionedNetworkTypes",
    "PureStoragePolicyProvisioningState",
    "QuotaEnabled",
    "ResourceIdentityType",
    "ResourceSkuResourceType",
    "ResourceSkuRestrictionsReasonCode",
    "ResourceSkuRestrictionsType",
    "ScriptCmdletAudience",
    "ScriptCmdletProvisioningState",
    "ScriptExecutionParameterType",
    "ScriptExecutionProvisioningState",
    "ScriptOutputStreamType",
    "ScriptPackageProvisioningState",
    "ScriptParameterTypes",
    "SegmentStatusEnum",
    "SkuTier",
    "SslEnum",
    "TrialStatus",
    "VMGroupStatusEnum",
    "VMTypeEnum",
    "VirtualMachineProvisioningState",
    "VirtualMachineRestrictMovementState",
    "VisibilityParameterEnum",
    "WorkloadNetworkDhcpProvisioningState",
    "WorkloadNetworkDnsServiceProvisioningState",
    "WorkloadNetworkDnsZoneProvisioningState",
    "WorkloadNetworkPortMirroringProvisioningState",
    "WorkloadNetworkProvisioningState",
    "WorkloadNetworkPublicIPProvisioningState",
    "WorkloadNetworkSegmentProvisioningState",
    "WorkloadNetworkVMGroupProvisioningState",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
